<template>
    <div class="app">
        <div class="title">
            <h2>grupos de <span class="color-prime">especialidades médicas</span></h2>
            <p>Un completo directorio de especialists médicos españoles que se unen para atenderte online. Un completo directorio Un completo directorio de especialists médicos españoles que se unen para atenderte online</p>

        </div>
        <ul>
            <li 
                v-for="(specialty, index) in specialties" 
                :key="index" @click="sendSpecialtyGroup(specialty.specialty_group)"
                class="cursor-pointer" >

                <p class="numberspecialty">
                  {{ specialty.numberspecialty }}
                </p>
                <div>
                    <h3 class="titlespecialty">{{ specialty.specialty_group }}</h3>
                </div>
                <!-- <p v-if="isPatientOrDoctor === 'normal'"> -->
                    <!-- <button @click="sendSpecialtyGroup(specialty.specialty_group)">Ir a especialidad</button> -->
            </li>
        </ul>
    </div>
</template>

<script>
import { getIsAdmin } from '../../../backend/utils/utils'

export default {
    name:'HomeCustom',
    data(){
        
        return {
            // comprueba que tipo del role tiene el usuario
            isPatientOrDoctor: getIsAdmin(),  

        }
    },
    props:{
        // recibimos lista doctores y especialidad
        // despues creamos un before notas en el componente li
        doctores: Array,
        specialties: Array,

    },
    methods:{
        

    //traemos el nombre del Grupo de Especialidad y lo pasamos a Doctor.vue
    sendSpecialtyGroup(data){ 

        if(this.isPatientOrDoctor){
            this.$router.push({name: 'doctor', params: {specialtyGroup: data}})
        }else{
            this.$router.push({name: 'Login'})
        }
    },
      
    }
}
</script>







<style scoped>

/* base de grupos especialidades */
.title{
    text-align: center;
    padding-left: 5rem;
    padding-right: 5rem;
    margin-bottom: 3rem;
}
.title > h2 {
    padding-bottom: .5rem;
}
ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center; 
    justify-content: center;   
}

li {
    display: flex;
    align-items: center;

    background-color: var(--color-general-white);
    color: var(--color-general-black);
    height: 100px;
    width: 200px;
    margin: 0 5px;

    border-radius: 4px;
    box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.1);
    transition: all .5s ease;


}
li:hover{
        height: 100px;
        width: 220px;
        margin: 0 1px;

        box-shadow: 0px 0px 8px 0px rgba(0,0,0,0.2);
}   

/* elementos dentro del LI */

li > * {
    padding: 15px;
}

.numberspecialty {
    font-size: var(--font-size-3);
    font-weight: 100;
    color: var(--color-general-salmon);
}
.titlespecialty{
        font-size: var(--font-size-1);

}

li  .numberspecialty {
    color: var(--color-general-salmon);
    transition: all 1s ease;
}
li:hover .numberspecialty{
         color: var(--color-general-green);

}  
li  .titlespecialty {
    color: var(--color-general-black);
    transition: all .5s ease;
}
li:hover .titlespecialty{
         color: var(--color-general-green);

}  

/* colores cajas especialidades */
li:nth-child(1) {
        /* background-color: #f8e3cc;   */
        }
li:nth-child(2) {
        /* background-color: #ffe8ae;   */

        }
li:nth-child(3) {
        /* background-color: #aff0f6;   */

        }
li:nth-child(4) {
        /* background-color: #efefee;   */
        }


</style>